# eric7.DataViews.PyCoverageHtmlReportDialog

Module implementing a dialog to enter the parameters for a coverage HTML report.

### Global Attributes

None

### Classes

PyCoverageHtmlReportDialog | Class implementing a dialog to enter the parameters for a coverage HTML report.

### Functions

None

## PyCoverageHtmlReportDialog

Class implementing a dialog to enter the parameters for a coverage HTML report.

### Derived from

QDialog, Ui_PyCoverageHtmlReportDialog

### Class Attributes

None

### Class Methods

None

### Methods

PyCoverageHtmlReportDialog | Constructor
getData | Public method to get the entered data.
on_outputDirectoryPicker_textChanged | Private slot handling a change of the output directory.

### Static Methods

None

#### PyCoverageHtmlReportDialog (Constructor)

PyCoverageHtmlReportDialog(defaultDirectory, parent=None)

Constructor

defaultDirectory (str)
  default directory for selecting the output directory
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### PyCoverageHtmlReportDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing the report title, the output directory, the path of a file containing extra CSS and a flag indicating to open the generated report in a browser

Return Type:
  tuple of (str, str, str, bool)

#### PyCoverageHtmlReportDialog.on_outputDirectoryPicker_textChanged

on_outputDirectoryPicker_textChanged(directory)

Private slot handling a change of the output directory.

directory (str)
  current text of the directory picker

Up